.grid-posts--scroll {
	display: flex;
	overflow-x: auto;
	overflow-y: hidden;
	-webkit-overflow-scrolling: touch;
	-ms-overflow-style: none;
	overflow: -moz-scrollbars-none;
	scrollbar-width: none;
}

.grid-posts--big {
	display: flex;
}

.grid-posts--scroll_not-bar::-webkit-scrollbar {
	display: none;
}

.grid-posts--big .grid-post {
	width: 25%;
}

.grid-posts--related .grid-post {
	width: 33%;
}

.grid-posts--big .grid-post:not(:last-child) {
	margin-right: 8px;
}

.grid-posts--big .grid-post__poster {
	margin-bottom: 16px;
}

.grid-posts--big .grid-post__poster-link {
	display: block;
	position: relative;
	width: 100%;
	height: 0;
	padding-top: 75%;
	overflow: hidden;
}

.grid-posts--big .grid-post__image {
	position: absolute;
	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.grid-posts--big .grid-post__image-room {
	position: absolute;
	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	object-fit: contain;
	background-color: #efefef;
}

.grid-posts--big .grid-post__meta {
	display: flex;
	align-items: center;
	margin-bottom: 4px;
	font-size: 12px;
	line-height: 14px;
	color: #999999;
}

.grid-posts--big .grid-post__read-time {
	display: flex;
	align-items: center;
}

.grid-posts--big .grid-post__read-time:before {
	content: "";
	display: block;
	width: 2px;
	height: 2px;
	margin: 0 4px;
	background-color: #999999;
	border-radius: 5px;
}

.grid-posts--big .grid-post__title-link {
	font-size: 16px;
	line-height: 20px;
	font-weight: bold;
	text-decoration: underline;
	color: #333333;
}

.grid-posts--big .grid-post__title-link:hover {
	color: #FF0000;
}

.grid-posts--small {
	display: flex;
	flex-direction: column;
}

.grid-posts--small .grid-post {
	width: 100%;
	margin-bottom: 8px;
}

.grid-posts--small .grid-post__inside {
	display: flex;
	width: 100%;
	height: 100%;
	border: 1px solid #D8D8D8;
}

.grid-posts--small .grid-post--dark .grid-post__inside {
	background-color: #393939;
	border: 0;
}

.grid-posts--small .grid-post__poster {
	flex-shrink: 0;
	width: 136px;
}

.grid-posts--small .grid-post__poster-link {
	display: block;
	position: relative;
	width: 100%;
	height: 0;
	padding-top: 74.5%;
	overflow: hidden;
}

.grid-posts--small .grid-post__image {
	position: absolute;
	min-width: 100%;
	min-height: 100%;
	width: 100%;
	height: 100%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	object-fit: cover;
}

.grid-posts--small .grid-post__title {
	display: flex;
	flex-direction: column;
	margin: auto 0;
	padding: 0 12px;
}

.grid-posts--small .grid-post__title-link {
	display: -webkit-box;
	font-size: 14px;
	line-height: 18px;
	color: #000000;
	text-decoration: underline;
	overflow: hidden;
	-webkit-line-clamp: 5;
	-webkit-box-orient: vertical;
}

.grid-posts--small .grid-post__title-link--with-room {
	-webkit-line-clamp: 3;
}

.grid-posts--small .grid-post--dark .grid-post__title-link {
	color: #ffffff;
}

.grid-posts--small .grid-post__title-link:hover {
	text-decoration: none;
}

.grid-posts--small .grid-post__room {
	display: flex;
	align-items: center;
	margin-top: 8px;
}

.grid-posts--small .grid-post__room-icon {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 24px;
	height: 24px;
	margin-right: 5px;
}

.grid-posts--small .grid-post__room-icon-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.grid-posts--small .grid-post__room-title {
	font-size: 14px;
	line-height: 18px;
	font-weight: bold;
	color: #FF9500;
}

.grid-posts--small .grid-post__room-title:hover {
	color: #FF0000;
}

.grid-posts--search {
	flex-direction: column;
}

.grid-posts--search .grid-post {
	width: 100%;
	margin: 0;
}

.grid-posts--search .grid-post:not(:last-child) {
	margin-bottom: 24px;
}

.grid-posts--search .grid-post__description {
	display: none;
	margin-top: 12px;
	font-size: 16px;
	line-height: 20px;
	color: #777777;
}

.grid-posts--sidebar .grid-post__poster {
	position: relative;
}

.grid-posts--sidebar .grid-post__label {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-shrink: 0;
	position: absolute;
	top: 0;
	left: 0;
	height: 24px;
	padding: 0 12px;
	font-size: 12px;
	line-height: 14px;
	font-weight: bold;
	text-transform: uppercase;
	color: #ffffff;
	background-color: #FF0000;
	z-index: 1;
}

.grid-posts--sidebar .grid-post__image-wrapper {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	width: 100%;
	height: 100%;
}

.grid-posts--rooms .grid-post__poster-link {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 192px;
	padding: 0;
	background-color: #000000;
}

.grid-posts--rooms .grid-post__logo {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 200px;
	height: 70px;
}

.grid-posts--rooms .grid-post__logo-image {
	display: block;
	max-width: 100%;
	max-height: 100%;
	width: initial;
	height: initial;
	object-fit: contain;
}

.grid-posts--rooms .grid-post__rating {
	display: flex;
	align-items: center;
	position: absolute;
	bottom: 12px;
	right: 12px;
	height: 24px;
	padding: 0 4px 0 3px;
	background: linear-gradient(90deg, #FFCC00 0%, #FF9500 100%), linear-gradient(180deg, #FFCC00 0%, #FF9500 100%), #FFCC00;
	border-radius: 12px;
}

.grid-posts--rooms .grid-post__rating-icon {
	display: block;
	width: 18px;
	height: 18px;
	margin-right: 2px;
	fill: #ffffff;
}

.grid-posts--rooms .grid-post__rating-number {
	font-size: 16px;
	line-height: 20px;
	font-weight: 500;
	color: #ffffff;
}

.grid-posts--rooms .room__popular-item {
	min-width: 280px;
}

.grid-post_sidebar {
	display: flex;
	border: 1px solid #D8D8D8;
	margin-bottom: 8px;
}

.grid-post_sidebar .grid-post__image {
	object-fit: cover;
	width: 136px;
	height: 96px;
}

.grid-post_sidebar .grid-post__title {
	width: calc(100% - 136px);
	padding: 12px;
	display: flex;
	align-items: center;
}

.grid-post_sidebar .grid-post__title-link {
	margin: 0;
	-webkit-line-clamp: 4;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
	font-size: 14px;
	line-height: 18px;
	text-decoration-line: underline;
	color: #000;
}

.grid-post_sidebar .grid-post__title-link:hover {
	text-decoration: none;
}

.grid-posts--rooms {
	margin-bottom: 20px;
}

.grid-posts--rooms .room__popular-item:not(:last-child) {
	margin-right: 8px;
}

.grid-posts--rooms .widget__rooms-item-buttons {
	flex-direction: column;
}

.grid-posts--rooms .widget__rooms-item-buttons .partner-button {
	width: 100%;
}

.grid-posts--rooms .widget__rooms-item-buttons .partner-button:last-child {
	margin-top: 12px;
}

.grid-posts--rooms .widget__rooms-item-get-btn:before {
	display: none;
}

.grid-posts--rooms .room-item__button.partner-button--promocode ~ .room-item__button.partner-button--review,
.grid-posts--rooms .room-item__button.partner-button--promocode ~ .room-item__button.partner-button--bonus,
.grid-posts--rooms .room-item__button.partner-button--review ~ .room-item__button.partner-button--bonus,
.grid-posts--rooms .room-item__button.partner-button--download:not(:empty) ~ .room-item__button.partner-button--promocode,
.grid-posts--rooms .room-item__button.partner-button--download:not(:empty) ~ .room-item__button.partner-button--review,
.grid-posts--rooms .room-item__button.partner-button--download:not(:empty) ~ .room-item__button.partner-button--bonus {
	display: none;
}

.grid-posts--list {
	display: flex;
	flex-wrap: wrap;
}

.grid-posts--list .grid-post {
	width: 100%;
	margin-bottom: 24px;
	margin-right: 0;
}

.grid-posts--list .grid-post__poster {
	margin-bottom: 12px;
}

.grid-posts--list .grid-post:nth-child(n) {
	margin-right: 0;
}

.wprv-box__category {
	max-height: initial !important;
	margin: 0 !important;
}

.grid-posts--scroll .grid-post {
	min-width: 288px;
}

/*** Responsive ***/

@media (min-width: 360px) {

	.grid-posts--big .grid-post:not(:last-child) {
		margin-right: 12px;
	}

	.grid-posts--rooms .room__popular-item:not(:last-child) {
		margin-right: 12px;
	}

	.grid-posts--list .grid-post:nth-child(n) {
		margin-right: 0;
	}

	.grid-posts--rooms .widget__rooms-item-buttons {
		flex-direction: row;
	}

	.grid-posts--rooms .widget__rooms-item-buttons .partner-button {
		width: calc(50% - 6px);
	}

	.grid-posts--rooms .widget__rooms-item-buttons .partner-button:last-child {
		margin-top: 0;
	}
}

@media (min-width: 768px) {

	.grid-posts--big .grid-post:not(:last-child) {
		margin-right: 16px;
	}

	.grid-posts--small {
		flex-direction: row;
		flex-wrap: wrap;
		margin: 0 -4px;
	}

	.grid-posts--small .grid-post {
		width: 50%;
		padding: 0 4px;
	}

	.grid-posts--search .grid-post__inside {
		display: flex;
	}

	.grid-posts--search .grid-post__poster {
		flex-shrink: 0;
		width: 184px;
		margin-right: 16px;
	}

	.grid-posts--search .grid-post__title-link {
		font-size: 18px;
		line-height: 22px;
	}

	.grid-posts--search .grid-post__description {
		display: block;
	}

	.grid-post-sidebar {
		display: flex;
		justify-content: space-between;
		align-items: stretch;
		flex-wrap: wrap;
	}

	.grid-post-sidebar .grid-post_sidebar {
		width: 49%;
	}

	.grid-posts--scroll {
		display: grid;
		grid-template-columns: repeat(3, 1fr);
		grid-gap: 24px;
		overflow-x: hidden;
	}

	.grid-posts--scroll .grid-post {
		min-width: 100%;
	}

	.grid-posts--list .grid-post {
		width: 50%;
		padding: 0 12px;
	}

	.grid-posts--list .grid-post:nth-child(n) {
		margin-right: 0;
	}

	.grid-posts--list {
		display: flex;
		margin: 0 -12px;
	}

	.grid-posts--rooms .room__popular-item:not(:last-child) {
		margin-right: 16px;
	}

	.grid-posts--rooms .widget__rooms-item-get-btn:before {
		display: block;
	}
}

@media (min-width: 1024px) {

	.grid-posts--small {
		margin: 0 -4px;
	}

	.grid-posts--small .grid-post {
		width: 33.33%;
		padding: 0 4px;
	}

	.grid-posts--small .grid-post--hidden-desktop {
		display: none;
	}

	.grid-posts--related .grid-post:not(:last-child) {
		margin-right: 24px;
	}

	.grid-posts--list .grid-post {
		width: 33.33%;
	}

	.grid-posts--list .grid-post:nth-child(n) {
		margin-right: 0;
	}

	.grid-posts--rooms .room__popular-item:not(:last-child) {
		margin-right: 16px;
	}

	.grid-posts--rooms .widget__rooms-item-footer {
		flex-direction: column;
		align-items: flex-start;
		flex: 1;
		width: 100%;
	}

	.grid-posts--rooms_vertically {
		display: flex;
		margin-bottom: 20px;
		margin-top: 43px;
	}

	.grid-posts--rooms_vertically .widget__rooms-item {
		width: calc(33.33% - 6px);
		display: flex;
		flex-direction: column;
		align-items: flex-start;
	}

	.grid-posts--rooms_vertically .widget__rooms-item:not(:last-child) {
		margin-right: 12px;
		margin-bottom: 0;
	}
}

@media (min-width: 1280px) {

	.grid-posts--small {
		margin: 0 -12px;
	}

	.grid-posts--small .grid-post {
		padding: 0 12px;
	}

	.grid-posts--small .grid-post__poster {
		width: 155px;
	}

	.grid-posts--small-sidebar .grid-post {
		width: 100%;
	}

	.grid-posts--small-sidebar .grid-post__poster {
		width: 136px;
	}

	.grid-posts--sidebar {
		flex-direction: column;
	}

	.grid-posts--sidebar .grid-post {
		display: flex;
		align-items: center;
		margin: 0 0 16px 0;
	}

	.grid-posts--sidebar .grid-post__poster {
		flex-shrink: 0;
		width: 120px;
		margin: 0 12px 0 0;
	}

	.grid-posts--sidebar .grid-post__poster-link {
		padding: 0;
		width: 100%;
		height: 100%;
	}

	.grid-posts--sidebar .grid-post__image-wrapper {
		height: 80px;
	}

	.grid-posts--sidebar .grid-post__image {
		position: initial;
		top: initial;
		left: initial;
		transform: initial;
	}

	.grid-posts--sidebar .grid-post__label {
		position: initial;
		width: 100%;
		margin: 0;
	}

	.grid-posts--sidebar .grid-post__meta {
		display: none;
	}

	.grid-posts--sidebar .grid-post__title-link {
		font-weight: normal;
	}

	.grid-post-sidebar .grid-post_sidebar {
		width: 100%;
	}

	.grid-posts--rooms {
		margin-bottom: 0;
	}

	.grid-posts--rooms_vertically {
		margin-bottom: 20px;
	}
}
